# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
DBus::Connection::Private Struct Reference

`#include <connection_p.h>`

## Public Member Functions

bool | do_dispatch ()
bool | disconn_filter_function (const Message &)
void | detach_server ()
| Private (DBusConnection *, Server::Private *=NULL)
| Private (DBusBusType)
| ~Private ()
void | init ()
DBusDispatchStatus | dispatch_status ()
bool | has_something_to_dispatch ()

## Static Public Member Functions

static void | dispatch_status_stub (DBusConnection *, DBusDispatchStatus, void *)
static DBusHandlerResult | message_filter_stub (DBusConnection *, DBusMessage *, void *)

## Public Attributes

DBusConnection * | conn
std::vector< std::string > | names
Dispatcher * | dispatcher
MessageSlot | disconn_filter
Server::Private * | server

## Detailed Description

Definition at line 44 of file connection_p.h.

## Constructor & Destructor Documentation

## ◆ Private() [1/2]

Connection::Private::Private | ( | DBusConnection * | c,
|  | Server::Private * | s = NULL )

Definition at line 44 of file connection.cpp.

References conn, dispatcher, init(), and server.

Referenced by dispatch_status_stub().

## ◆ Private() [2/2]

Connection::Private::Private | ( | DBusBusType | type | ) |

Definition at line 50 of file connection.cpp.

References conn, dispatcher, init(), and server.

## ◆ ~Private()

Connection::Private::~Private | ( |  | ) |

Definition at line 62 of file connection.cpp.

References conn, DBus::debug_log, detach_server(), and names.

## Member Function Documentation

## ◆ detach_server()

void Connection::Private::detach_server | ( |  | ) |

Definition at line 98 of file connection.cpp.

Referenced by do_dispatch(), and ~Private().

## ◆ disconn_filter_function()

bool Connection::Private::disconn_filter_function | ( | const Message & | msg | ) |

Definition at line 167 of file connection.cpp.

References conn, DBus::debug_log, and DBus::Message::is_signal().

Referenced by init().

## ◆ dispatch_status()

DBusDispatchStatus Connection::Private::dispatch_status | ( |  | ) |

Definition at line 179 of file connection.cpp.

References conn.

Referenced by has_something_to_dispatch().

## ◆ dispatch_status_stub()

void Connection::Private::dispatch_status_stub | ( | DBusConnection * | dc,
|  | DBusDispatchStatus | status,
|  | void * | data )

static

Definition at line 135 of file connection.cpp.

References DBus::debug_log, dispatcher, Private(), and DBus::Dispatcher::queue_connection().

Referenced by init().

## ◆ do_dispatch()

bool Connection::Private::do_dispatch | ( |  | ) |

Definition at line 119 of file connection.cpp.

References conn, DBus::debug_log, and detach_server().

## ◆ has_something_to_dispatch()

bool Connection::Private::has_something_to_dispatch | ( |  | ) |

Definition at line 184 of file connection.cpp.

References dispatch_status().

## ◆ init()

void Connection::Private::init | ( |  | ) |

Definition at line 83 of file connection.cpp.

References conn, disconn_filter, disconn_filter_function(), dispatch_status_stub(), and message_filter_stub().

Referenced by Private(), and Private().

## ◆ message_filter_stub()

DBusHandlerResult Connection::Private::message_filter_stub | ( | DBusConnection * | conn,
|  | DBusMessage * | dmsg,
|  | void * | data )

static

Definition at line 156 of file connection.cpp.

References DBus::Slot< R, P >::call(), conn, and DBus::Slot< R, P >::empty().

Referenced by DBus::Connection::add_filter(), init(), and DBus::Connection::remove_filter().

## Member Data Documentation

## ◆ conn

DBusConnection* DBus::Connection::Private::conn

Definition at line 46 of file connection_p.h.

Referenced by disconn_filter_function(), dispatch_status(), do_dispatch(), init(), message_filter_stub(), Private(), Private(), and ~Private().

## ◆ disconn_filter

MessageSlot DBus::Connection::Private::disconn_filter

Definition at line 53 of file connection_p.h.

Referenced by init().

## ◆ dispatcher

Dispatcher* DBus::Connection::Private::dispatcher

Definition at line 50 of file connection_p.h.

Referenced by dispatch_status_stub(), Private(), and Private().

## ◆ names

std::vector<std::string> DBus::Connection::Private::names

Definition at line 48 of file connection_p.h.

Referenced by ~Private().

## ◆ server

Server::Private* DBus::Connection::Private::server

Definition at line 56 of file connection_p.h.

Referenced by Private(), and Private().

The documentation for this struct was generated from the following files:

- connection_p.h
- connection.cpp